# Contributing

Hi there! We're thrilled that you'd like to contribute to Venat.

We want to make contributing to this project as easy and transparent as possible, whether it's:
* Reporting a bug
* Discussing the current state of the code
* Submitting a fix
* Proposing new features
* Becoming a maintainer

Contributions to this project are [released](https://docs.github.com/github/site-policy/github-terms-of-service#6-contributions-under-repository-license) to the public under the [AGPL-3.0 license](LICENSE).

We follow the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) guidelines for writing commits.
You can use `cz` or `yarn commit` to create a commit with the helper tool, or write your commit message manually.

## Making a Code Change
1. Fork the repo and create your branch from `main`.
2. If you've added code that should be tested, add tests.
3. Ensure the test suite passes.
4. Make sure your code lints.
5. Issue a pull request back to `main`.